Bug 155363 - CVE-2005-3273 ROSE ndigis verification
CVE-2005-3273 ROSE ndigis verification
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-04-19 11:37 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0580
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 07:54:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-04-19 11:37:22 EDT
An error exists in ROSE due to missing verification of the ndigis argument of
new routes.  This was found by Coverity 20041216, rose_rt_ioctl.

http://linux.bkbits.net:8080/linux-2.6/cset@423114bcdthRtmtdS6MsZiBVvteGCg
http://linux.bkbits.net:8080/linux-2.4/cset@41e2cf515TpixcVQ8q8HvQvCv9E6zA
Comment 3 Mike Gahagan 2006-07-12 14:43:18 EDT
fix looks to be in and building:

include/linux/ax25.h:#define AX25_MAX_DIGIS  8
net/rose/rose_route.c:                  if(rose_route.ndigis > AX25_MAX_DIGIS)/*
No more than 8 digipeats */

Comment 5 Red Hat Bugzilla 2006-07-13 07:54:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0580.html

Note You need to log in before you can comment on or make changes to this bug.